<?php

function get_item_from_url($id, $fatal=false) {
  if (!check_id($id))
    logging('FATAL', _('Invalid element identifier.'));

  $item = get_item($id);
  if(!is_array($item)) {
    $error = sprintf(_("Item #% s not found."), $id);
    if ($fatal)
      logging('FATAL', $error);
    add_error($error);
    return false;
  }
  return $item;
}
